BizKitHub
DocsAPI ReferenceData Grid/bff/grid-view/create
postData GridAdmin BFF

/bff/grid-view/create

Create saved grid view

DataGridpostBffGrid-viewCreate

Parameters

JSON body

Request body

application/json
gridstringRequired

Grid identifier chosen by the admin screen (kebab-case), e.g. order.

Length: 1–64
Exampleorder
namestringRequired
Length: 1–64
isSharedbooleanOptional
filtersobjectRequired

Grid filter state. Non-identifier keys, nested values and empty strings are dropped server-side.

Response schema

1 status code documented

200Success
state"ok"Required
idnumberRequired

Response example

application/json
{
  "state": "ok",
  "id": 0
}

Request example

POST /bff/grid-view/create

post
curl -X POST "https://api.bizkithub.com/bff/grid-view/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "grid": "order",
  "name": "example_name",
  "isShared": false,
  "filters": {}
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key